#include<bits/stdc++.h>
#define ll long long
#define ls u<<1
#define rs u<<1|1
#define up(i,a,b) for(int i=a;i<=b;i++)
#define dn(i,a,b) for(int i=a;i>=b;i--)
using namespace std;
const int N=2e5+10;
int c,_,n,k,u[N],v[N];
vector<int> G[N];
int main()
{
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	ios::sync_with_stdio(0);
	cin.tie(0);cout.tie(0);
	cin>>c>>_;
	while(_--)
	{
		cin>>n>>k;
		up(i,1,n-1)
		{
			cin>>u[i]>>v[i];
			G[u[i]].push_back(v[i]);
			G[v[i]].push_back(u[i]);
		}
		
	}
	return 0;
}
